Update vendor

PUT /api/v1/vendors/{id}

Update vendor contact information.

Operation ID: update_vendor_api_v1_vendors__id__put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

id string required

Request body

name string

Updated vendor name.

email string · email

Updated email address.

address string

Updated address.

phone string

Updated phone number.

tax_id string

Updated tax ID.

website string

Updated website URL.

notes string

Updated internal notes.

credit_limit_cents integer

Updated credit limit in cents.

default_payment_term_id string

Updated default payment term ID.

status CounterpartyStatus

Updated status.

category string

Updated category.

Responses

200 Successful Response

id string required

Vendor UUID.

business_id string required

Business UUID.

name string required

Vendor name.

email string

Vendor email address.

address string

Vendor business address.

phone string

Vendor phone number.

tax_id string

Tax identification number.

website string

Vendor website URL.

notes string

Internal notes.

credit_limit_cents integer

Credit limit in cents.

default_payment_term_id string

Default payment term ID.

status string

Vendor status.

category string

Business category.

default_location_id string

Default ship-from location ID for purchase orders.

default_location_name string

Default ship-from location name (resolved).

is_deleted boolean

Whether vendor is soft deleted.

deleted_at string · date-time

Timestamp when vendor was deleted.

created_at string · date-time required

Creation timestamp.

updated_at string · date-time required

Last update timestamp.

contacts array · VendorContactResponse

Vendor contacts.

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object